org.eclipse.rdf4j.model.vocabulary

## Class EARL

- java.lang.Object
- - org.eclipse.rdf4j.model.vocabulary.EARL

-     public class EARL
      extends Object

  Constants for EARL primitives and for the EARL namespace.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static IRI` | `ASSERTEDBY`
    `static IRI` | `ASSERTION`
    `static IRI` | `ASSERTOR`
    `static IRI` | `AUTOMATIC`
    `static IRI` | `CANNOTTELL`
    `static IRI` | `FAIL`
    `static IRI` | `HEURISTIC`
    `static IRI` | `MANUAL`
    `static IRI` | `MODE`
    `static String` | `NAMESPACE` The EARL namespace: http://www.w3.org/ns/earl#
    `static IRI` | `NOTAPPLICABLE`
    `static IRI` | `NOTAVAILABLE`
    `static IRI` | `NOTTESTED`
    `static IRI` | `OUTCOME`
    `static IRI` | `PASS`
    `static String` | `PREFIX` The recommended prefix for the EARL namespace: "earl"
    `static IRI` | `RESULT`
    `static IRI` | `SEMIAUTOMATIC`
    `static IRI` | `SOFTWARE`
    `static IRI` | `SUBJECT`
    `static IRI` | `TEST`
    `static IRI` | `TEST_SUBJECT`
    `static IRI` | `TESTRESULT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EARL()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NAMESPACE

          public static final String NAMESPACE

      The EARL namespace: http://www.w3.org/ns/earl#
      See Also:
        Constant Field Values

    - #### PREFIX

          public static final String PREFIX

      The recommended prefix for the EARL namespace: "earl"
      See Also:
        Constant Field Values

    - #### ASSERTOR

          public static final IRI ASSERTOR

    - #### ASSERTION

          public static final IRI ASSERTION

    - #### ASSERTEDBY

          public static final IRI ASSERTEDBY

    - #### SUBJECT

          public static final IRI SUBJECT

    - #### TEST

          public static final IRI TEST

    - #### TEST_SUBJECT

          public static final IRI TEST_SUBJECT

    - #### RESULT

          public static final IRI RESULT

    - #### MODE

          public static final IRI MODE

    - #### TESTRESULT

          public static final IRI TESTRESULT

    - #### OUTCOME

          public static final IRI OUTCOME

    - #### SOFTWARE

          public static final IRI SOFTWARE

    - #### PASS

          public static final IRI PASS

    - #### FAIL

          public static final IRI FAIL

    - #### CANNOTTELL

          public static final IRI CANNOTTELL

    - #### NOTAPPLICABLE

          public static final IRI NOTAPPLICABLE

    - #### NOTTESTED

          public static final IRI NOTTESTED

    - #### MANUAL

          public static final IRI MANUAL

    - #### AUTOMATIC

          public static final IRI AUTOMATIC

    - #### SEMIAUTOMATIC

          public static final IRI SEMIAUTOMATIC

    - #### NOTAVAILABLE

          public static final IRI NOTAVAILABLE

    - #### HEURISTIC

          public static final IRI HEURISTIC

  - ### Constructor Detail

    - #### EARL

          public EARL()

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.